This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274700 - "Removable Devices" absent in "computer.mount"
"Removable Devices" absent in "computer.mount"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 08:05 EDT by poma
Modified: 2016-06-29 15:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: dbus-1.10.0-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 04:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora23 & rawhide - xfce4 - thunar computer:/ (397.49 KB, image/png)
2015-10-23 08:05 EDT, poma
no flags Details
Accept XDG_RUNTIME_DIR/bus as a valid D-Bus session/user bus (6.61 KB, patch)
2015-10-24 02:43 EDT, poma
no flags Details | Diff
Thunar computer showing removable devices. (42.19 KB, image/png)
2015-10-24 08:40 EDT, Mukundan Ragavan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92612 None None None Never

  None (edit)
Description poma 2015-10-23 08:05:47 EDT
Created attachment 1085822 [details]
fedora23 & rawhide - xfce4 - thunar computer:/

Description of problem:
"Removable Devices" -do not- appear via "computer mount" i.e. 'thunar computer:/'

Version-Release number of selected component (if applicable):
Thunar-1.6.10-3.fc24.x86_64
gvfs-1.26.1.1-1.fc24.x86_64
udisks2-2.1.6-1.fc23.x86_64
libudisks2-2.1.6-1.fc23.x86_64

How reproducible:
101%

Steps to Reproduce:
1. Run "thunar computer:/"

Actual results:
"Removable Devices" -do not- appear via "computer mount"

Expected results:
"Removable Devices" -do- appear via "computer mount"

Additional info:
In Fedora 23,
as "Removable Devices" ("Disks and Drives") -do- appear in
Thunar's "Side Pane" under "DEVICES"
(Thunar - View \ Side Pane \ Shortcuts - DEVICES)
"Removable Devices" also appear via "computer mount" i.e. 'thunar computer:/'

In Rawhide,
"Removable Devices" -do not- appear via "computer mount" i.e. 'thunar computer:/'

It is interesting to note, the respective components are practically identical,
Thunar, gvfs, udisks2, libudisks2.

Tested with:
- Fedora-Live-Xfce-x86_64-23-3.iso
- Fedora-Live-Xfce-x86_64-rawhide-20151022.iso
Comment 1 poma 2015-10-23 12:45:21 EDT
Changelog - dbus:

* Mon Aug 31 2015 Kay Sievers <kay@redhat.com> - 1:1.10.0-2
- add --enable-user-session to ship systemd user bus units

BREAKS GVFS computer backend
https://git.gnome.org/browse/gvfs/tree/daemon/gvfsbackendcomputer.c


Ondrej, Ross, can you explain what's going on here?
Comment 2 poma 2015-10-23 12:47:07 EDT
Ref.
Ship systemd user bus units
http://pkgs.fedoraproject.org/cgit/dbus.git/commit/?id=ffb87c8
Comment 3 poma 2015-10-23 14:07:53 EDT
Speaking of this, if one of you has a solution for LiveCD segments, to not appear at all, not to clutter Desktop for nothing, please feel free to write.

LiveCD segments:

_Fedora-Live-Xfc

_Fedora-Live-Xfc1

disk

disk1
Failed to open directory "disk1".
Permission denied.

_Fedora-Live-Xfc2
Failed to mount "_Fedora-Live-Xfc".
Error mounting /dev/loop3 at /run/media/liveuser/_Fedora-Live-Xfc2: Command-line `mount -t "ext4" -o "uhelper=udisks2,nodev,nosuid" "/dev/loop3" "/run/media/liveuser/_Fedora-Live-Xfc2"' exited with non-zero exit status 32: mount: /dev/loop3 is already mounted or /run/media/liveuser/_Fedora-Live-Xfc2 busy
.
Comment 4 David King 2015-10-23 14:20:50 EDT
The gvfs part of this bug covered in the GNOME Bugzilla:

https://bugzilla.gnome.org/show_bug.cgi?id=756420
Comment 5 poma 2015-10-23 15:42:57 EDT
(In reply to David King from comment #4)
> The gvfs part of this bug covered in the GNOME Bugzilla:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=756420

0001-Accept-XDG_RUNTIME_DIR-bus-as-a-valid-D-Bus-session-.patch
https://bug756420.bugzilla-attachments.gnome.org/attachment.cgi?id=313951
solved computer.mount

Thanks David


p.s.
Dunno is it related but also systemd-logind.service runs without problemos after update
# rpm -q gvfs
gvfs-1.26.1.1-3.fc24.x86_64
Comment 6 poma 2015-10-24 02:43 EDT
Created attachment 1086055 [details]
Accept XDG_RUNTIME_DIR/bus as a valid D-Bus session/user bus
Comment 7 Mukundan Ragavan 2015-10-24 08:40 EDT
Created attachment 1086082 [details]
Thunar computer showing removable devices.

I am not sure I understand completely .... :(

See the attached screenshot. The device named 'cuprum' is a USB hard drive I attached just for taking the screenshot.
Comment 8 Mukundan Ragavan 2015-10-24 08:41:36 EDT
Never mind! Still haven't woken up ...
Comment 9 David King 2015-10-26 04:18:11 EDT
The dbus part of this is fixed in Rawhide (the only place where the user bus is enabled at the moment). The gvfs part needs a separate fix (and bug).
Comment 10 Ondrej Holy 2015-10-26 06:31:44 EDT
I won't create separate bug for gvfs. I pushed the poma's patch to rawhide already (gvfs-1.26.1.1-3.fc24), thanks...
Comment 11 poma 2015-10-28 17:51:43 EDT
(In reply to poma from comment #3)
> Speaking of this, if one of you has a solution for LiveCD segments, to not
> appear at all, not to clutter Desktop for nothing, please feel free to write.
> 
> LiveCD segments:
> 
> _Fedora-Live-Xfc
> 
> _Fedora-Live-Xfc1
> 
> disk
> 
> disk1
> Failed to open directory "disk1".
> Permission denied.
> 
> _Fedora-Live-Xfc2
> Failed to mount "_Fedora-Live-Xfc".
...

https://bugzilla.redhat.com/show_bug.cgi?id=1276151

Thanks guys.
Comment 12 Orion Poplawski 2016-06-29 15:55:07 EDT
This appears to cause problems with X2Go and VNC sessions, see bug #1350004 and https://github.com/TigerVNC/tigervnc/commit/c071e493a093d7ee9a568729dd2e151f5cd3d749 

Any thoughts on this?  Should everything that starts a DE need to unset DBUS_SESSION_BUS_ADDRESS first?
Comment 13 Orion Poplawski 2016-06-29 15:57:09 EDT
Specifically this commit in dbus:

commit b7293f69073d3b4beab8503fa55b7320d247f2f3
Author: David King <amigadave@amigadave.com>
Date:   Sun Oct 25 08:57:52 2015 +0000

    Inject session bus address into user bus environment (#1274700)

Note You need to log in before you can comment on or make changes to this bug.